Module
Contents
Index 🔎︎

# Choose Function

Vráti vybranú hodnotu zo zoznamu argumentov.

## Syntax:

    Choose (Index, Výber1[, Výber2, ... [,Výber_n]])

## Paremetre:

Index: Číselný výraz, Ktorý určuje vrátenú hodnotu.

Výber: Akýkoľvek výraz, ktorý obsahuje jednu z možných volieb.

Funkcia Choose vráti hodnotu zo zoznamu podľa hodnoty indexu. Ak je Index = 1, funkcia vráti prvú hodnotu zo zoznamu, ak je Index = 2, vráti druhú hodnotu zo zoznamu atď

Ak je hodnota indexu menšia ako 1 alebo väčšia ako počet výrazov v zozname, vráti funkcia hodnotu Null.

Nasledujú príkaz používa Choose na výber reťazca z niekoľkých reťazcov v ponuke:

## Error codes:

5 Neplatné volanie procedúry

## Príklad:

    Sub ExampleChoose

    Dim sReturn As String

        sReturn = ChooseMenu(2)

        Print sReturn

    End Sub

    Function ChooseMenu(Index As Integer)

        ChooseMenu = Choose(Index, "Quick Format", "Save Format", "System Format")

    End Function